%define upstream_name	 PHP-Include
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Include PHP files in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/E/ES/ESUMMERS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple) >= 0.780.0
BuildRequires: perl(Parse::RecDescent) >= 1.0.0
BuildRequires: perl-Parse-RecDescent
BuildArch:  noarch

%description
PHP::Include builds on the shoulders of Filter::Simple and Parse::RecDescent to
provide a Perl utility for including very simple PHP Files from a Perl program.

When working with Perl and PHP it is often convenient to be able to share
configuration data between programs written in both languages.  One solution to
this would be to use a language independent configuration file (did I hear
someone say XML?). Another solution is to use Perl's flexibility to read PHP
and rewrite it as Perl. PHP::Include does the latter with the help of
Filter::Simple and Parse::RecDescent to rewrite very simple PHP as Perl.

Filter::Simple is used to enable macros (at the moment only one) which 
cause PHP to be interpolated into your Perl source code, which is then parsed
using a Parse::RecDescent grammar to generate the appropriate Perl.

PHP::Include was designed to allow the more adventurous to add grammars that 
extend the complexity of PHP that may be included. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PHP
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-2.mga3
+ Revision: 371211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 342460
- update to 0.36

* Tue Jun 05 2012 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 255274
- update to 0.35

* Thu Oct 13 2011 jquelin <jquelin> 0.340.0-1.mga2
+ Revision: 154433
- update to 0.34

* Tue Feb 22 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 56699
- update to 0.33

* Sat Jan 22 2011 jquelin <jquelin> 0.2-7.mga1
+ Revision: 31009
- mageia rebuild
- imported package perl-PHP-Include

